package com.xinelu.common.enums;

import lombok.Getter;

/**
 * @Description 微信退款通知枚举
 * @Author 纪寒
 * @Date 2022-10-25 13:12:03
 * @Version 1.0
 */
@Getter
public enum RefundStatusEnum {
    /**
     * 退款成功
     */
    SUCCESS("SUCCESS"),

    /**
     * 退款关闭
     */
    CLOSED("CLOSED"),

    /**
     * 退款处理中
     */
    PROCESSING("PROCESSING"),

    /**
     * 退款异常，退款到银行发现用户的卡作废或者冻结了，
     * 导致原路退款银行卡失败，可前往【商户平台—>交易中心】，手动处理此笔退款
     */
    ABNORMAL("ABNORMAL"),

    ;

    final private String info;

    RefundStatusEnum(String info) {
        this.info = info;
    }
}
